[libav-api] Compiling libav with libx264 support

Viraj (libav) libav at virajk.otherinbox.com
Fri May 4 18:54:05 CEST 2012


I am trying to compile libav with libx264 support.

Ilibav 0.8.1
libx264 build 122

The procedure I planned to follow was:

cd libx264
./configure --enable-shared --enable-static
make
sudo make install
cd libav
./configure --enable-shared --enable-static --enable-libx264 --enable-gpl
make
sudo make install

But libx264 was unable to compile saying header files missing. I did some
debugging and found that the header files are present in libav.

So my theory: I need to compile and install basic libav. Then compile
libx264 and then compile libav with libx264.

I followed it and it worked.

Is this the only way or am I missing something?

Thanks.
Regards,
Viraj
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://lists.libav.org/pipermail/libav-api/attachments/20120504/dde37531/attachment.html>


More information about the libav-api mailing list